Bug 969688 - [abrt] open-vm-tools-9.2.3-5.fc19: Hostinfo_TouchBackDoor: Process /usr/bin/vmtoolsd was killed by signal 11 (SIGSEGV)
[abrt] open-vm-tools-9.2.3-5.fc19: Hostinfo_TouchBackDoor: Process /usr/bin/v...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: open-vm-tools (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ravindra Kumar
Fedora Extras Quality Assurance
abrt_hash:92dcaaf3ef474eff0404b2dae58...
:
: 1029704 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 16:13 EDT by Alexei Panov
Modified: 2015-02-17 10:25 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:25:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.41 KB, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: core_backtrace (632 bytes, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: dso_list (2.14 KB, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: environ (1.31 KB, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: maps (9.12 KB, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: open_fds (222 bytes, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
File: var_log_messages (2.57 KB, text/plain)
2013-06-01 16:13 EDT, Alexei Panov
no flags Details
core file (768.00 KB, application/x-core)
2013-12-04 23:57 EST, Mirko Predosin
no flags Details

  None (edit)
Description Alexei Panov 2013-06-01 16:13:11 EDT
Version-Release number of selected component:
open-vm-tools-9.2.3-5.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/vmtoolsd -n vmusr
crash_function: Hostinfo_TouchBackDoor
executable:     /usr/bin/vmtoolsd
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 Hostinfo_TouchBackDoor at hostinfoHV.c:521
 #1 VmCheckSafe at vmcheck.c:150
 #2 VmCheck_IsVirtualWorld at vmcheck.c:267
 #3 ToolsCore_Setup at mainLoop.c:399
Comment 1 Alexei Panov 2013-06-01 16:13:15 EDT
Created attachment 755655 [details]
File: backtrace
Comment 2 Alexei Panov 2013-06-01 16:13:19 EDT
Created attachment 755656 [details]
File: cgroup
Comment 3 Alexei Panov 2013-06-01 16:13:22 EDT
Created attachment 755657 [details]
File: core_backtrace
Comment 4 Alexei Panov 2013-06-01 16:13:26 EDT
Created attachment 755658 [details]
File: dso_list
Comment 5 Alexei Panov 2013-06-01 16:13:29 EDT
Created attachment 755659 [details]
File: environ
Comment 6 Alexei Panov 2013-06-01 16:13:33 EDT
Created attachment 755660 [details]
File: limits
Comment 7 Alexei Panov 2013-06-01 16:13:36 EDT
Created attachment 755661 [details]
File: maps
Comment 8 Alexei Panov 2013-06-01 16:13:40 EDT
Created attachment 755662 [details]
File: open_fds
Comment 9 Alexei Panov 2013-06-01 16:13:43 EDT
Created attachment 755663 [details]
File: proc_pid_status
Comment 10 Alexei Panov 2013-06-01 16:13:47 EDT
Created attachment 755664 [details]
File: var_log_messages
Comment 11 Ravindra Kumar 2013-06-03 14:41:03 EDT
Are you running this test under gdb? If so, this is expected because this program implements a SIGSEGV handler and gdb is configured to stop on this signal by default.

(gdb) info signal SIGSEGV
Signal        Stop      Print   Pass to program Description
SIGSEGV       Yes       Yes     Yes             Segmentation fault
(gdb)

If you want to run this program under gdb, please configure gdb to *not* stop at this signal so that the signal is silently passed to the signal handler:

(gdb) handle SIGSEGV nostop noprint
Comment 12 Alexei Panov 2013-06-04 08:41:13 EDT
No, I've don't run under gdb.
Comment 13 Ravindra Kumar 2013-06-04 14:44:37 EDT
I installed FC 19 Beta build and I don't see any core dumps. If a FC 19 Beta install is causing it for you (without making any other changes to system) I would guess it to be some system configuration that is not letting the signal reach its handler.

Given that this process implements a SIGSEGV handler, may I request you to provide me the necessary steps to reproduce it on my system?
Comment 14 Alexei Panov 2013-06-05 00:53:00 EDT
I don't know how reproduce this bug.
This bug have shown in ABRT without any my moves. While system boot.
I'm on vacation, away from the computer where the error appeared.
Comment 15 Ravindra Kumar 2013-06-06 02:34:18 EDT
Given that you don't have a known way to reproduce this bug and I'm not seeing it on my system with Fedora 19 Beta, I think I will not be able to do much about it unless someone else hits this as well.
Comment 16 Ravindra Kumar 2013-06-13 15:13:31 EDT
So far, no leads on this :-(

Would it be possible for you to provide the core dump for this crash? I believe it is going to be small enough to attach it here.
Comment 17 Mirko Predosin 2013-12-04 23:57:33 EST
Created attachment 833002 [details]
core file
Comment 18 Mirko Predosin 2013-12-05 00:06:06 EST
$ gdb /usr/bin/vmtoolsd 
GNU gdb (GDB) Fedora 7.6.1-46.fc19
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/vmtoolsd...Reading symbols from /usr/lib/debug/usr/bin/vmtoolsd.debug...done.
done.
(gdb) handle SIGSEGV nostop noprint
Signal        Stop	Print	Pass to program	Description
SIGSEGV       No	No	Yes		Segmentation fault
(gdb) run -n vmusr
Starting program: /usr/bin/vmtoolsd -n vmusr
During startup program terminated with signal SIGSEGV, Segmentation fault.
(gdb)
Comment 19 Mirko Predosin 2013-12-05 00:08:34 EST
I think that the nvidia proprietary drivers may have something to do with this crash.  Removing the nvidia driver resolves the issue.
Comment 20 Ravindra Kumar 2013-12-05 01:42:17 EST
(In reply to Mirko Predosin from comment #19)
> I think that the nvidia proprietary drivers may have something to do with
> this crash.  Removing the nvidia driver resolves the issue.

Thanks Mirko. I'm curious to know how did you zoom in on Nvidia drivers?
Comment 21 Ravindra Kumar 2013-12-05 02:03:49 EST
*** Bug 1029704 has been marked as a duplicate of this bug. ***
Comment 22 Mirko Predosin 2013-12-05 16:25:37 EST
I noticed that VMWare Player stopped working after installing the nvidia drivers in package xorg-x11-drv-nvidia-331.20-4.fc19.i686.  The player would exit after attempting to start a vmware session.  I am able to get VMWare Player to work again if I remove the drivers.
Comment 23 Alexei Panov 2014-06-17 03:49:08 EDT
I'm sorry for long silent. Computer with this bug moved from me.
I can not get the information from it.
Comment 24 Fedora End Of Life 2015-01-09 13:17:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Fedora End Of Life 2015-02-17 10:25:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.